Colt 1.2.0

## cern.colt.function
Interface IntFunction

All Known Implementing Classes:
  AbstractContinousDistribution, AbstractDiscreteDistribution, AbstractDistribution, Beta, Binomial, BreitWigner, BreitWignerMeanSquare, ChiSquare, DRand, Empirical, EmpiricalWalker, Exponential, ExponentialPower, Gamma, Hyperbolic, HyperGeometric, Logarithmic, MersenneTwister, MersenneTwister64, NegativeBinomial, Normal, Poisson, PoissonSlow, RandomEngine, StudentT, Uniform, VonMises, Zeta

    public interface IntFunction

Interface that represents a function object: a function that takes a single argument and returns a single value.

Method Summary
`int` `apply(int argument)` Applies a function to an argument.

Method Detail

### apply

    int apply(int argument)

  Applies a function to an argument.

  Parameters:
    `argument` - argument passed to the function.
  Returns:
    the result of the function.

Colt 1.2.0

Jump to the Colt Homepage